Create Timeline
POST /api/creative/timelines
POST
/api/creative/timelines
Create a new worldbuilding timeline.
Request Body required
Section titled “Request Body required ” TimelineCreateRequest
POST /timelines body.
object
name
required
Name
Timeline name
string
description
Description
Description
string
scale
TimelineScale
Time scale
string
startDate
Startdate
Start date
string
endDate
Enddate
End date
string
tags
Tags
Tags
Array<string>
viewMode
TimelineViewMode
View mode
string
Responses
Section titled “ Responses ”Successful Response
TimelineResponse
Single timeline response.
object
status
required
Status
Operation status
string
data
required
Timeline
Timeline data
object
name
required
Name
Timeline name
string
description
Description
Description
string
scale
TimelineScale
Time scale
string
startDate
Startdate
Start date
string
endDate
Enddate
End date
string
tags
Tags
Tags
Array<string>
viewMode
TimelineViewMode
Active view mode
string
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context